%define name 	xstroke
%define version 0.6.cvs20040921
%define release %mkrel 6

Summary: 	Fullscreen gesture and alphabet recognition
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://cworth.org/~cworth/papers/xstroke/	
License: 	GPLv2+
Group: 		Accessibility
Source: 	%{name}-%{version}.tar.bz2
Patch0:		xstroke-0.6-link.patch
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxft-devel
BuildRequires:	libxpm-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxtst-devel
BuildRequires:	imagemagick

%description
XStroke is a full-screen gesture recognition program for the X Window
System. It captures gestures performed with a pointer device, (such as a
mouse, a stylus, or a pen/tablet), recognizes the gestures and performs
actions based on the gestures. xstroke has been developed on Linux systems,
(i386 and StrongARM), but should be quite portable to any reasonable
system with X.

%prep
%setup -q -n %name-0.6
%patch0 -p0

%build
%configure2_5x
%make

%install
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%_real_vendor-%name.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%name
Name=XStroke
Comment=Fullscreen gesture recognition
Icon=%name
Categories=Utility;Accessibility;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 xstroke_inactive.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 xstroke_inactive.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 xstroke_inactive.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/%name
%config(noreplace) %_sysconfdir/%name
%{_datadir}/applications/%_real_vendor-%name.desktop
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.6.cvs20040921-6.mga3
+ Revision: 387423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 0.6.cvs20040921-5.mga3
+ Revision: 328112
- more link fix
- more link fix
- more linkage
- real fix
- fix linkage

* Thu Sep 29 2011 fwang <fwang> 0.6.cvs20040921-5.mga2
+ Revision: 150331
- tighten br

* Sun Apr 10 2011 dmorgan <dmorgan> 0.6.cvs20040921-5.mga1
+ Revision: 82988
- Remove mdv macros
- imported package xstroke

